<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 1.0.0

Copyright (C) 2006-2014  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smi.no-ip.org
 ****************************************************************************************/

require_once("../lib/gettext/gettext.inc");
include_once("../inc/config.inc.php");
include_once("../inc/fic_cocl.inc.php");
include_once("../inc/fic_int.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_time.inc.php");
include_once("../inc/func_sql.inc.php");

include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
// include_once("../classes/datetime/class.datetimecalc.php");

/***************************************************************/
/* Récupération contrats de report en fonction code contrat    */
/* Récupération contrats de déduction en fonction code contrat */
/***************************************************************/



session_start();


sleep(1);
if (array_key_exists("nco", $_REQUEST)) {
    $tomorrow = 0; //60*60*24; // en nb de secondes
    header("Cache-Control: max-age=$tomorrow");
    print_plain();
} else {
    print "Usage : $_SERVER[PHP_SELF]?nco=contrat_client_site_int";
}

function print_plain()
{
    header("Content-type: text/html; charset=UTF-8");
    $codecocl = $_REQUEST["nco"];
    $tab_nco = explode("_", $codecocl);
    $result = [];


    // Récupération des contrats de report
    $tab_cocl = get_cocl1($tab_nco[0], $tab_nco[1], $tab_nco[2], $tab_nco[3]);
    foreach ($tab_cocl as $key => $value) {
        $result[] = $key . "=" . $value;
    }

    print implode(";", $result);
}

/**
 * @param $codecocl
 * @param $codecli
 * @param $idsite
 * @param $codeint
 * @return array
 */
function get_cocl1($codecocl, $codecli, $idsite, $codeint)
{
    $result = cre_tab_cocl_report_nc($codecocl, $codeint, $codecli, $idsite, TRUE, FALSE, TRUE);

    return $result;
}
?>